Query metrics
curl --request GET \
--url https://api.usethunder.com/v1/query/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.usethunder.com/v1/query/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.usethunder.com/v1/query/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"elements": [
{
"dimensions": {
"topic": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"cluster": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"summary": "<string>",
"topics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"language": "<string>"
},
"csatDsatSignal": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"signalType": "SAT",
"description": "<string>"
},
"repeatedRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
},
"gap": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"gapType": "TOOL",
"topics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
},
"endUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"topTopics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"lastActiveAt": "2023-11-07T05:31:56Z"
},
"date": "<string>"
},
"fields": {
"sessions": 123,
"users": 123,
"messages": 123,
"avgMessagesPerSession": 123,
"sat": 123,
"dsat": 123,
"netSat": 123,
"duration": 123,
"lastActiveAt": "2023-11-07T05:31:56Z",
"repeatedRequests": 123
}
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123
},
"lastProcessedAt": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Query
Query Metrics
Query aggregated metrics for topics or topic clusters within a date range.
GET
/
v1
/
query
/
Query metrics
Authorizations
Your Thunder API key
Query Parameters
Available options:
TOPIC, TOPIC_CLUSTER, REPEATED_REQUEST, CSAT_DSAT, GAP, SESSION, END_USER Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
ALL, HOUR, DAY, WEEK, MONTH Available options:
TOOL, KNOWLEDGE Maximum string length:
10Required range:
1 <= x <= 10000Required range:
0 <= x <= 9007199254740991Available options:
sessions, users, messages, avgMessagesPerSession, sat, dsat, netSat, duration, lastActiveAt, repeatedRequests, createdAt Available options:
ASC, DESC Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$